<div *ngIf="!addEnable" class="row mx-auto">
  <table class="table table-striped">
  <thead>
  <tr> 
    <th scope="col">#</th>
    <th scope="col">Communication Date</th>
    <th scope="col">Communication Mode</th>
    <th scope="col">Status</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let communication of communications; index as i">
    <th scope="row">{{ i + 1 }}</th>
    <td>
      {{ communication.communicationDate | date }}
    </td>
    <td>{{ communication.communicationMode }}</td>
    <td>{{ communication.leadStatus }}</td>
  </tr>
  </tbody>
  
</table>
<button  class="btn btn-secondary" (click)="toggleAdd()">Add log</button>
</div>
<div *ngIf="addEnable" class ="row mx-auto">
  <h5>Add communication log</h5>
  <div class="form-group col-md-9 px-2">
    <label for="communicationMode">Communication Mode</label>
    <select id="communicationMode" class="form-control">
      <option *ngFor="let mode of communicationModes">
        {{mode}}
      </option>
      </select>
   </div>
   <div class="form-group col-md-9 px-2">
    <label for="leadStatus">Status</label>
    <select id="leadStatus" class="form-control">
      <option *ngFor="let mode of communicationModes">
        {{mode}}
      </option>
      </select>
   </div>
   
   <button  class="btn btn-secondary col-md-4 px-2" (click)="toggleAdd()">Add log</button>

</div>
